Subject: Re: [PATCH RFC 00/77] Re-design MSI/MSI-X interrupts enablement pattern

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 06 Oct 2013 08:46:26 +1100

On Sat, 2013-10-05 at 16:20 +0200, Alexander Gordeev wrote:
> So my point is - drivers should first obtain a number of MSIs they *can*
> get, then *derive* a number of MSIs the device is fine with and only then
> request that number. Not terribly different from memory or any other type
> of resource allocation ;)

What if the limit is for a group of devices ? Your interface is racy in
that case, another driver could have eaten into the limit in between the
calls.

Ben.